# - Try to locate libevent include files and libraries
#
#  LIBEVENT_FOUND - system has libevent
#  LIBEVENT_INCLUDE_DIR - the libevent include directory
#  LIBEVENT_LIBRARIES - Link these to use libevent
#  LIBEVENT_DEFINITIONS - Compiler switches required for using libevent
#
# Copyright (c) 2007, Jan Vidar Krey <janvidar@extatic.org>



IF (LIBEVENT_INCLUDE_DIR AND LIBEVENT_LIBRARIES)
    SET(libevent_FIND_QUIETLY TRUE)
ENDIF (LIBEVENT_INCLUDE_DIR AND LIBEVENT_LIBRARIES)

FIND_PATH(LIBEVENT_INCLUDE_DIR event.h )

FIND_LIBRARY(LIBEVENT_LIBRARIES NAMES event )

IF (LIBEVENT_INCLUDE_DIR AND LIBEVENT_LIBRARIES)
   SET(LIBEVENT_FOUND TRUE)
ELSE (LIBEVENT_INCLUDE_DIR AND LIBEVENT_LIBRARIES)
   SET(LIBEVENT_FOUND FALSE)
ENDIF (LIBEVENT_INCLUDE_DIR AND LIBEVENT_LIBRARIES)

IF (LIBEVENT_FOUND)
  IF (NOT libevent_FIND_QUIETLY)
    MESSAGE(STATUS "Found libevent: ${LIBEVENT_LIBRARIES}")
  ENDIF (NOT libevent_FIND_QUIETLY)
ELSE (LIBEVENT_FOUND)
  IF (libevent_FIND_REQUIRED)
    MESSAGE(FATAL_ERROR "Unable to find libevent")
  ENDIF (libevent_FIND_REQUIRED)
ENDIF (LIBEVENT_FOUND)

MARK_AS_ADVANCED(LIBEVENT_INCLUDE_DIR LIBEVENT_LIBRARIES)

